import java.util.ArrayList;
public class Fakultet
{
    private String ime, adresa;
    private ArrayList<Nastavnik> nastavnici;
    private ArrayList<Student> studenti;
    
    public Fakultet(String ime, String adresa){
        this.ime = ime;
        this.adresa = adresa;
        nastavnici = new ArrayList<>();
        studenti = new ArrayList<>();
    }
    
    public void zaposli(Nastavnik n){
        nastavnici.add(n);
    }
    
    public void upisi(Student s){
        studenti.add(s);
    }
    
    public void info(){
        System.out.println(ime + ", " + adresa);
        System.out.println();
        System.out.println("Nastavnici:");
        for(Nastavnik n : nastavnici){
            n.info();
        }
        System.out.println();
        System.out.println("Studenti:");
        System.out.println();
        for(Student s : studenti){
            s.info();
        }
    }
    
    public static void test(){
        Fakultet grf = new Fakultet("Građevinski fakultet", "Bulevar Kralja Aleksandra 73");
        
        Nastavnik milos = new Nastavnik("Milos", "Kovacevic");
        grf.zaposli(milos);
        
        Student pera = new Student("Petar", "Petrovic", "1/1");
        Student ana = new Student("Ana", "Petrovic", "2/1");
        grf.upisi(pera);
        grf.upisi(ana);
        
        pera.polozio("Matematika", 6); pera.polozio("Programiranje", 7);
        ana.polozio("Matematika", 8);
        
        //grf.info();
        
        ArrayList<Student> poloziliMatis = grf.oceneVeceOd("Matematika", 5);
        for(Student s : poloziliMatis){
            s.info();
        }
    }
    
    public ArrayList<Student> oceneVeceOd(String predmet, int ocena){
        ArrayList<Student> rezultat = new ArrayList<>();
        for(Student s  : studenti){
            for(Ocena o : s.ocene()){
                if(o.dajPredmet().equals(predmet) && o.dajOcena() > ocena){
                    rezultat.add(s);
                    break;
                }
            }
        }
        return rezultat;
    }
    
}
