import java.util.ArrayList;
public class Student
{
    private String ime, prezime;
    private String indeks;
    //private ArrayList<Integer> ocene;
    //private ArrayList<String> predmeti;
    private ArrayList<Ocena> ocene;
    
    public Student(String ime, String prezime, String indeks){
        this.ime = ime;
        this.prezime = prezime;
        this.indeks = indeks;
        ocene = new ArrayList<>();
        //predmeti = new ArrayList<>();
    }
    
    public double prosek(){
        double p = 0;
        for(Ocena ocena : ocene){
            p += ocena.dajOcena();
        }
        if(ocene.isEmpty()){
            return 0;
        } else {
            return p/ocene.size();
        }
    }
    
    public int[] najvecaNajmanja(){
        int min = 11, max = 5;
        for(Ocena o : ocene){
            int oc = o.dajOcena();
            if(oc > max) { max = oc; }
            if(oc < min) { min = oc; }
        }
        if(max == 5) {
            return null;
        } else {
            return new int[] {max, min};
        }
    }
    
    public void info(){
        System.out.println("Student " + ime + " " + prezime);
        System.out.println("Indeks " + indeks);
        //for(int i = 0; i < predmeti.size(); i++){
        //    System.out.println(predmeti.get(i) + ": " + ocene.get(i));
        //}
        for(Ocena o : ocene){
            //System.out.println(o.dajPredmet() + ": " + o.dajOcena());
            o.ispisi();
        }
        System.out.println("Prosek " + prosek()); 
        System.out.println();
    }
    
    public void polozio(String predmet, int ocena){
        //ocene.add(ocena);
        ocene.add(new Ocena(predmet, ocena));
        //predmeti.add(predmet);
    }
    
    public static void test(){
        Student pera = new Student("Petar", "Petrovic", "1/19");
        Student mica = new Student("Milica", "Milic", "2/19");
        pera.polozio("Matematika", 6); pera.polozio("Programiranje", 7);
        mica.polozio("Fizika", 8);
        pera.info();
        mica.info();
        int[] x = pera.najvecaNajmanja();
        System.out.println("Perina najveca ocena: " + x[0] + " a najmanja je: " + x[1]);
    }
    
    public ArrayList<Ocena> ocene() {return ocene;}
    
}
